Bug 1466926 - [GSS] Latest resource-agents package(s) not in Gluster repositories
[GSS] Latest resource-agents package(s) not in Gluster repositories
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribution (Show other bugs)
3.2
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Sreenath G
Rahul Hinduja
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-30 14:36 EDT by Cal Calhoun
Modified: 2017-07-06 06:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-03 03:45:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cal Calhoun 2017-06-30 14:36:52 EDT
Description of problem:

Currently, the most recent version in the gluster repository is:

 resource-agents-3.9.5-40.el7_1.3.x86_64

The latest packages are only available from the High Availability and Resilient Storage Repositories.
The package contained within the RHGS repository requires updating as the latest available version is out of date.
This earlier version is present in the rh-gluster-3-for-rhel-7-server-rpms repository whereas the newer versions are not.

Version-Release number of selected component (if applicable):

  Current: resource-agents-3.9.5-40.el7_1.3.x86_64

  Needed: resource-agents-3.9.5-82.el7.x86_64 (or later)

How reproducible:

  Both from customer using yum update and via search using

  https://access.redhat.com/downloads/content/resource-agents/3.9.5-82.el7/x86_64/fd431d51/package

Steps to Reproduce:

Attempt to install (update) resource-agents to resource-agents-3.9.5-82.el7.x86_64 or later.

Actual results:

No later package is available in the gluster repository.

Expected results:

Would expect the current version of the package to be available.

Additional info:

  There appear to also be at least 20 dependent packages that may not be up to date as well.
Comment 2 Sreenath G 2017-07-03 03:45:28 EDT
resource-agents-3.9.5-40.el7_1.3.x86_64 was shipped long back via 
RHGS Errata [1], but later we stopped shipping HA packages, after SKUs were modified to include HA repos for RHGS customers. Currently, HA packages are accessed made available through HA repos to customers, and hence this is not a bug.



[1] https://errata.devel.redhat.com/advisory/20562

Note You need to log in before you can comment on or make changes to this bug.